function masked_img = mask_rgb_image(img,mask)

% img: 3-D matrix (H x W x 3) of an RGB image

% mask: logical matrix (H x W)

masked_img = zeros(size(img),class(img));

% mask = 1./255.*im2uint8(mask);
mask = uint8(mask);

noOfChannels = size(img,3);
for i = 1:noOfChannels
    masked_img(:,:,i) = img(:,:,i).*mask;
end