function vid = readAllVideo(video_path)

% Reads a whole video from a given path.

% Input:

% video_path: the location of the video
% e.g. video_path = 'C:\CameraSSD Downloads\drum_20200210_2_.avi'

% Output:

% vid: H x W x C x F uint8 matrix
% where: H: height, W: width, C: no of colors, F: no of frames

v_reader = VideoReader(video_path);
vid = read(v_reader);